﻿using System;
using VirtualProxy.Ejm1;
namespace VirtualProxy
{
    class Program
    {
        static void Main(string[] args)
        {
            /*
             * At this point objects required for the compile and run operations are
             * created, but not the objects that provide the generate Javadoc
             * functionality.
             */
            IDEOperation IDE = new ProxyProcessor();
            IDE.Compile("test.java");
            IDE.Run("test.class");
            /*
             * The Javadoc functionality is accessed For the first time and hence
             * the Object offering the Javadoc generation Functionality is loaded at
             * this point.
             */
            IDE.GenerateDocs("test.java");
            Console.ReadKey();
        }
    }
}

