﻿using System;
namespace VirtualProxy.Ejm1
{
    public abstract class IDEOperation
    {
        private Compiler Cmp;
        private Runtime Rtime;
        //Constructor
        public IDEOperation()
        {
            Cmp = new Compiler();
            Rtime = new Runtime();
        }
        public void Compile(String javaFile)
        {
            Cmp.compile(javaFile);
        }

        public void Run(String classFile)
        {
            Rtime.Run(classFile);
        }

        // to be delayed until needed.
        public abstract void GenerateDocs(String javaFile);
    }
}
