﻿
namespace VirtualProxy.Ejm1
{
    public class ProxyProcessor : IDEOperation
    {
        private RealProcessor realProcessor;

        public override void GenerateDocs(string javaFile)
        {
            /*
             * In order to generate javadocs the proxy loads the actual object and
             * invokes its methods.
             */
            if (realProcessor == null)
            {
                realProcessor = new RealProcessor();
            }
            realProcessor.GenerateDocs(javaFile);
        }
    }

}
